Page tree
Skip to end of metadata
Go to start of metadata

You are viewing an old version of this page. View the current version.

Compare with Current View Page History

« Previous Version 9 Current »

Minimum Requirements for APDL

  • Apple iPhone, iPod touch, or iPad running iOS version 11.x or 12.x
  • An Internet connection is required for Sync & Backup and Schedule Importing
  • A subscription is required after the initial free 90 day trial period expires.  Click here to purchase your APDL subscription in a term that best suits you.
  • No labels